<?php

namespace App\Tests\acceptance;

class CreateCapsuleGroupPageTest extends BasePageTest
{
    public function testUserShouldGoBackToUserCapsuleGroupsOnCancel(): void
    {
        $this->clickLink('Go back to my groups', 'The user should access to its group list');
    }

    public function testUserShouldGoBackToUserCapsuleGroups(): void
    {
        $this->clickLink(
            'Go back to my groups',
            'The user should access to the user capsule group from create a capsule group page'
        );
    }

    protected function setUp(): void
    {
        parent::setUp();
        $this->setInitialPage();
    }

    private function setInitialPage(): void
    {
        $this->givenUser('defaultUser@localhost.com')
            ->logged()
            ->onPage('en/my_groups')
            ->clickLink(
                'Create a new group',
                'The use should be able to access to the capsule group creation page'
            );
    }
}
